> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete tags

> See "[Bulk & async processing](/api-reference/bulk-and-async-processing)" for more information.



## OpenAPI

````yaml /api-reference/v4.json delete /v4/bulk/tags
openapi: 3.0.3
info:
  title: Kit API
  version: '4.0'
servers:
  - url: https://api.kit.com
security: []
paths:
  /v4/bulk/tags:
    delete:
      tags:
        - Tags
      summary: Bulk delete tags
      description: >-
        See "[Bulk & async
        processing](/api-reference/bulk-and-async-processing)" for more
        information.
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - tags
              properties:
                tags:
                  type: array
                  description: >-
                    Tags to delete, identified by `id`. Batches of 100 or fewer
                    are processed synchronously (200); larger batches are queued
                    and processed asynchronously (202).
                  items:
                    type: object
                    required:
                      - id
                    properties:
                      id:
                        type: integer
                        description: The id of the tag to delete.
                callback_url:
                  type: string
                  nullable: true
                  description: >-
                    Optional. When the batch is processed asynchronously (more
                    than 100 tags), the results are POSTed to this URL on
                    completion.
            example:
              tags:
                - id: 91
                - id: 92
      responses:
        '200':
          description: Only deletes tags belonging to the authenticated account
          content:
            application/json:
              schema:
                type: object
                properties:
                  failures:
                    type: array
                    items:
                      type: object
                      properties:
                        errors:
                          type: array
                          items:
                            type: string
                        tag:
                          type: object
                          properties:
                            id:
                              type: integer
                          required:
                            - id
                      required:
                        - errors
                        - tag
                required:
                  - failures
              example:
                failures:
                  - errors:
                      - Tag does not exist
                    tag:
                      id: 91
        '202':
          description: Deletes tags asynchronously when more than 100 tags are requested
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example: {}
        '401':
          description: Returns a 401 if the token and/or account cannot be authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
              example:
                errors:
                  - The access token is invalid
        '413':
          description: >-
            Returns a 413 when the size of the request would exceed the
            account's data limit for enqueued bulk requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
              example:
                errors:
                  - >-
                    This request exceeds your queued bulk requests limit. Please
                    wait while we process your existing requests and try again
                    later.
        '422':
          description: Returns a 422 when `tags` is empty or not an array
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
              example:
                errors:
                  - No tags included for processing
      security:
        - OAuth2: []
components:
  securitySchemes:
    OAuth2:
      description: Authenticate API requests via an OAuth token
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.kit.com/v4/oauth/authorize
          tokenUrl: https://api.kit.com/v4/oauth/token
          refreshUrl: https://api.kit.com/v4/oauth/token
          scopes:
            read: Read access to Kit API v4
            write: Write access to Kit API v4

````